| Bsoft 2.0.5 Bernard's software package

Public Member Functions | Public Attributes | List of all members
Boption Class Reference

A class for a command line input option. More...

`#include <options.h>`

## Public Member Functions
| Boption (char *arg, char *arg1, const char *use[])
int | errors ()
Bstring | filename ()
DataType | datatype ()
long | integer ()
double | real ()
template<typename T1 , typename T2 >
long | values (T1 &v1, T2 &v2)
template<typename T1 , typename T2 , typename T3 >
long | values (T1 &v1, T2 &v2, T3 &v3)
template<typename T1 , typename T2 , typename T3 , typename T4 >
long | values (T1 &v1, T2 &v2, T3 &v3, T4 &v4)
double | fill (int &fill_type)
Vector3< double > | vector3 ()
Vector3< double > | normalized_vector3 ()
Vector3< long > | size ()
Vector3< long > | size2 ()
Vector3< double > | origin ()
Vector3< double > | scale ()
Vector3< double > | sampling ()
template<typename T1 , typename T2 >
long | box (Vector3< T1 > &st, Vector3< T2 > &sz)
template<typename T1 , typename T2 >
long | box (vector< T1 > &st, vector< T2 > &sz)
Bstring | symmetry_string ()
Bsymmetry * | symmetry ()
View | view ()
Euler | euler ()
double | mass ()
UnitCell | unit_cell ()
int | ctf_action ()

## Public Attributes
Boption * | next
Bstring | tag
Bstring | value

## Detailed Description

A class for a command line input option.

    Each option is defined by a tag (i.e., the string following a hyphen)
    and a value (the next string after the tag).

Definition at line 26 of file options.h.

## Constructor & Destructor Documentation

## ◆ Boption()

Boption::Boption | ( | char * | arg,
|  | char * | arg1,
|  | const char * | use[]
| ) |  |
| inline

Definition at line 34 of file options.h.

## Member Function Documentation

## ◆ box() [1/2]

template<typename T1 , typename T2 >

long Boption::box | ( | Vector3< T1 > & | st,
|  | Vector3< T2 > & | sz
| ) |  |
| inline

Definition at line 214 of file options.h.

## ◆ box() [2/2]

template<typename T1 , typename T2 >

long Boption::box | ( | vector< T1 > & | st,
|  | vector< T2 > & | sz
| ) |  |
| inline

Definition at line 230 of file options.h.

## ◆ ctf_action()

int Boption::ctf_action | ( |  | ) |
| inline

Definition at line 303 of file options.h.

## ◆ datatype()

DataType Boption::datatype | ( |  | ) |
| inline

Definition at line 93 of file options.h.

## ◆ errors()

int Boption::errors | ( |  | ) |
| inline

Definition at line 79 of file options.h.

## ◆ euler()

Euler Boption::euler | ( |  | ) |
| inline

Definition at line 271 of file options.h.

## ◆ filename()

Bstring Boption::filename | ( |  | ) |
| inline

Definition at line 85 of file options.h.

## ◆ fill()

double Boption::fill | ( | int & | fill_type | ) |
| inline

Definition at line 138 of file options.h.

## ◆ integer()

long Boption::integer | ( |  | ) |
| inline

Definition at line 100 of file options.h.

## ◆ mass()

double Boption::mass | ( |  | ) |
| inline

Definition at line 281 of file options.h.

## ◆ normalized_vector3()

Vector3<double> Boption::normalized_vector3 | ( |  | ) |
| inline

Definition at line 158 of file options.h.

## ◆ origin()

Vector3<double> Boption::origin | ( |  | ) |
| inline

Definition at line 180 of file options.h.

## ◆ real()

double Boption::real | ( |  | ) |
| inline

Definition at line 107 of file options.h.

## ◆ sampling()

Vector3<double> Boption::sampling | ( |  | ) |
| inline

Definition at line 202 of file options.h.

## ◆ scale()

Vector3<double> Boption::scale | ( |  | ) |
| inline

Definition at line 190 of file options.h.

## ◆ size()

Vector3<long> Boption::size | ( |  | ) |
| inline

Definition at line 163 of file options.h.

## ◆ size2()

Vector3<long> Boption::size2 | ( |  | ) |
| inline

Definition at line 175 of file options.h.

## ◆ symmetry()

Bsymmetry* Boption::symmetry | ( |  | ) |
| inline

Definition at line 252 of file options.h.

## ◆ symmetry_string()

Bstring Boption::symmetry_string | ( |  | ) |
| inline

Definition at line 245 of file options.h.

## ◆ unit_cell()

UnitCell Boption::unit_cell | ( |  | ) |
| inline

Definition at line 291 of file options.h.

## ◆ values() [1/3]

template<typename T1 , typename T2 >

long Boption::values | ( | T1 & | v1,
|  | T2 & | v2
| ) |  |
| inline

Definition at line 115 of file options.h.

## ◆ values() [2/3]

template<typename T1 , typename T2 , typename T3 >

long Boption::values | ( | T1 & | v1,
|  | T2 & | v2,
|  | T3 & | v3
| ) |  |
| inline

Definition at line 122 of file options.h.

## ◆ values() [3/3]

template<typename T1 , typename T2 , typename T3 , typename T4 >

long Boption::values | ( | T1 & | v1,
|  | T2 & | v2,
|  | T3 & | v3,
|  | T4 & | v4
| ) |  |
| inline

Definition at line 130 of file options.h.

## ◆ vector3()

Vector3<double> Boption::vector3 | ( |  | ) |
| inline

Definition at line 148 of file options.h.

## ◆ view()

View Boption::view | ( |  | ) |
| inline

Definition at line 259 of file options.h.

## Member Data Documentation

## ◆ next

Boption* Boption::next

Definition at line 28 of file options.h.

## ◆ tag

Bstring Boption::tag

Definition at line 29 of file options.h.

## ◆ value

Bstring Boption::value

Definition at line 30 of file options.h.

The documentation for this class was generated from the following file:

- /Users/bernard/b20/bsoft/include/options.h